[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragOver

Determines whether a drop is acceptable, using the OnDragOver handler.

## Declaration

Source position: controls.pp line 1140

`protected procedure TControl.DragOver(`
`Source: TObject;`
`X: Integer;`
`Y: Integer;`
`State: TDragState;`
`var Accept: Boolean`
`); virtual;`

## Description

An OnDragOver handler is required, or any drop will be rejected (Accept becomes False).

When an OnDragOver handler is installed, Accept is set to True and can be changed by the handler.

Remark: | Caution: Sender can be either a TDragObject, or the dragged control.

## See also

TControl.OnDragOver |  | Event handler for the case when a control is dragged over another control

The latest version of this document can be found at lazarus-ccr.sourceforge.net.